Get Multiple Profiles
curl --request GET \
--url https://api.getbuildify.com/{apiVersion}/{apiProvince}/multiple_profiles \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getbuildify.com/{apiVersion}/{apiProvince}/multiple_profiles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getbuildify.com/{apiVersion}/{apiProvince}/multiple_profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"results\": [\n {\n \"address\": \"317 Adelaide St W, Toronto, Ontario, M5V 1P9, Canada\",\n \"listings\": [\n \"Listings/Q2TAED\"\n ],\n \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/3d16b6f7-c5ce-428e-87bd-651cc09d6ecd.png\",\n \"name\": \"Niche Development\",\n \"website\": \"nichedevelopment.ca\",\n \"path\": \"Builders/06K1RDAiqm543AVo72BE\",\n \"sample\": \"saath.bas@gmail.com\",\n \"objectID\": \"06K1RDAiqm543AVo72BE\"\n },\n {\n \"address\": \"602 King St W Suite 102, Toronto, ON M5V 1M6\",\n \"listings\": [\n \"Listings/IP1NDL\"\n ],\n \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/4077aa42-671c-4b3e-90c6-eb2cf2cebb4f.png\",\n \"name\": \"MarketVision Real Estate Corporation\",\n \"website\": \"marketvisionrealty.com\",\n \"path\": \"Marketers/1NuWRj06ZHFddQVzZfVt\",\n \"objectID\": \"1NuWRj06ZHFddQVzZfVt\"\n }\n ]\n}""{\n \"requestId\": \"1675936087635479332-YXdzLWFwLXNvdXRoLTE=-a2d9b171603f4a6283b18484b06603fc9a2e0b393b7f4a9ab824c9f4eecb708e\",\n \"message\": \"Forbidden\"\n}""{\n \"requestId\": \"1675933210215292748-YXdzLXVzLWVhc3QtMQ==-7eccb953f95a4e10bf1a2fe6103d41d9d8be85f2c9b7443c808d9d79bf8335dc\",\n \"message\": \"No data product found. Please contact your data provider\"\n}""{\n \"message\": \"Error: 500\"\n}"Profiles
Get Multiple Profiles
Fetch multiple profiles by product ID and paths.
GET
/
{apiVersion}
/
{apiProvince}
/
multiple_profiles
Get Multiple Profiles
Authorizations
Path Parameters
Available options:
v1-sandbox, v1-lite, v1 Available options:
all, on, bc, ab, mb, nb, nl, ns, pe, qc, sk Query Parameters
Paths of profiles. See more info.
Fields to attach referrences. For example: builders, marketers, etc. It should be comma separated. See more info.
Response
200
Show child attributes
Show child attributes
⌘I